/**
 * Socialiniai ikonos ir footer kontaktai
 * Priklauso: contact-soc-wrapper, footer-soc-wrapper, footer-contact-info
 */

.contact-soc-wrapper .soc-icon,
.footer-soc-wrapper .soc-icon {
  cursor: pointer;
}

.contact-soc-wrapper .soc-icon svg path,
.footer-soc-wrapper .soc-icon svg path {
  fill: var(--primary-color);
  transition: fill 0.3s ease-in-out;
}

.contact-soc-wrapper .soc-icon:hover svg path {
  fill: var(--white-color);
}

.footer-soc-wrapper .soc-icon svg path {
  fill: var(--white-color);
  transition: fill 0.3s ease-in-out;
}

.footer-soc-wrapper .soc-icon:hover svg path {
  fill: var(--primary-color);
}

#footer-contact-info a.gmg-info-link {
  display: flex;
  align-items: center;
  justify-content: space-between;
  border: 1px solid var(--primary-color);
  background-color: var(--primary-color);
  transition: color 0.3s ease-in-out;
  padding: 8px 32px;
  min-height: 50px;
  max-width: 250px;
  margin-bottom: 14px;
  width: 100%;
  border-radius: 50px;
  font-family: var(--font-family-secondary);
  font-size: 17px;
  line-height: 23px;
  font-weight: 400;
  text-transform: uppercase;
  color: var(--secondary-color);
  transition: color 0.3s ease-in-out;
}

#footer-contact-info a.gmg-info-link:hover {
  background-color: transparent;
}

#footer-contact-info .gmg-info-text {
  color: var(--secondary-color);
}

#footer-contact-info a.gmg-info-link:hover .gmg-info-text {
  color: var(--primary-color);
}

#footer-contact-info a.gmg-info-link svg {
  margin-right: 18px;
  color: transparent;
}

#footer-contact-info .gmg-email-link svg {
  width: 26px;
  height: 26px;
}

#footer-contact-info .gmg-phone-link svg {
  width: 38px;
  height: 38px;
}

#footer-contact-info a:hover svg path {
  stroke: var(--primary-color);
}

.soc-icon.instagram,
.soc-icon.facebook,
.soc-icon.pinterest {
    display: none;
}

body.show-instagram-block .soc-icon.instagram,
body.show-facebook-block .soc-icon.facebook,
body.show-pinterest-block .soc-icon.pinterest {
    display: block;
}
